# 32/64bit spec
#
Name:           frei0r-plugins
Version:        1.4
Release:        %mkrel 2
Summary:        Frei0r - a minimalistic plugin API for video effects
Summary(de):	Frei0r - eine minimalistische Erweiterungs-API für Videoeffekte.
Group:          System/Libraries
License:        GPLv2+
URL:            http://www.piksel.org/frei0r
Source0:        http://www.piksel.no/frei0r/releases/frei0r-plugins-%{version}.tar.xz
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gavl-devel
BuildRequires:  opencv-devel >= 1.0.0
BuildRequires:	doxygen
Provides:	frei0r-plugins = %{version}-%{release}

%description
It is a minimalistic plugin API for video sources and filters. The behaviour of
the effects can be controlled from the host by simple parameters. The intent is
to solve the recurring reimplementation or adaptation issue of standard effect

%description -l de
Es ist eine minimalistische Erweiterungs-API für Videoquellen und -filter. Das 
Verhalten der Effekte kann vom Host durch einfache Parameter kontrolliert werden.
Der Gedanke ist, wiederkehrende Neuimplementierungen und Adaptionsprobleme von 
Standardeffekten zu vermeiden.

%package        devel
Summary:        Development files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%description devel -l de
Das %{name}-devel Paket enthält Bibliotheken und Header-Dateien für 
die Entwicklung von Programmen, die %{name} nutzen.

%prep
%setup -q 

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std INSTALL="install -p"

# Remove these, they'll be %%doc'ed
rm -rf %{buildroot}%{_docdir}/%{name}-plugins

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_libdir}/frei0r-1/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/frei0r.h
%{_libdir}/pkgconfig/frei0r.pc


%changelog
* Mon Aug 18 2014 bb <bb> 1.4-2pclos2014
- rebuild against updated opencv

* Wed Jan 29 2014 Ken <lxgator at gmail.com> 1.4-1pclos2014
- 1.4

* Tue Feb 19 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.3-3pclos2013
- rebuild against new opencv
- added german summaries and descriptions
- added %{_lib} macro
- clean BR doesn't use libmlt anymore
- added BR doxygen for dokumentation

* Mon Sep 17 2012 Neal <nealbrks0 at gmail dot com> 1.3-2pclos2012
- rebuild against updated mlt

* Thu Nov 17 2011 Texstar <texstar at gmail.com> 1.3-1pclos2011
- 1.3
